Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(18)

Issue 2242923002: Copy Page::ordinaryPages() before undeferring loads. (Closed)

Created:
3 years ago by dcheng
Modified:
3 years ago
Reviewers:
haraken, esprehn
CC:
blink-reviews, chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Copy Page::ordinaryPages() before undeferring loads. Undeferring loads can run script, which can mutate the PageSet. BUG=628942 Committed: https://crrev.com/5544c19b4252cbf65eea6894d55b2ed486957079 Cr-Commit-Position: refs/heads/master@{#412104}

Patch Set 1 #

Total comments: 4

Patch Set 2 : Add comment #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+5 lines, -0 lines) Patch
M third_party/WebKit/Source/core/page/ScopedPageLoadDeferrer.cpp View 1 1 chunk +5 lines, -0 lines 1 comment Download

Messages

Total messages: 14 (7 generated)
dcheng
I did attempt to write a test for this, but nothing I've written is particularly ...
3 years ago (2016-08-15 21:57:27 UTC) #3
haraken
LGTM https://codereview.chromium.org/2242923002/diff/1/third_party/WebKit/Source/core/page/ScopedPageLoadDeferrer.cpp File third_party/WebKit/Source/core/page/ScopedPageLoadDeferrer.cpp (right): https://codereview.chromium.org/2242923002/diff/1/third_party/WebKit/Source/core/page/ScopedPageLoadDeferrer.cpp#newcode40 third_party/WebKit/Source/core/page/ScopedPageLoadDeferrer.cpp:40: HeapVector<Member<Page>> pages; On 2016/08/15 21:57:27, dcheng wrote: > ...
3 years ago (2016-08-15 22:01:47 UTC) #4
dcheng
https://codereview.chromium.org/2242923002/diff/1/third_party/WebKit/Source/core/page/ScopedPageLoadDeferrer.cpp File third_party/WebKit/Source/core/page/ScopedPageLoadDeferrer.cpp (right): https://codereview.chromium.org/2242923002/diff/1/third_party/WebKit/Source/core/page/ScopedPageLoadDeferrer.cpp#newcode42 third_party/WebKit/Source/core/page/ScopedPageLoadDeferrer.cpp:42: pages.append(page); On 2016/08/15 22:01:47, haraken wrote: > > Shall ...
3 years ago (2016-08-15 22:34:28 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2242923002/20001
3 years ago (2016-08-15 22:34:54 UTC) #8
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years ago (2016-08-15 23:58:05 UTC) #10
commit-bot: I haz the power
Patchset 2 (id:??) landed as https://crrev.com/5544c19b4252cbf65eea6894d55b2ed486957079 Cr-Commit-Position: refs/heads/master@{#412104}
3 years ago (2016-08-16 00:01:03 UTC) #12
esprehn
3 years ago (2016-08-16 02:31:42 UTC) #14
Message was sent while issue was closed.
https://codereview.chromium.org/2242923002/diff/20001/third_party/WebKit/Sour...
File third_party/WebKit/Source/core/page/ScopedPageLoadDeferrer.cpp (right):

https://codereview.chromium.org/2242923002/diff/20001/third_party/WebKit/Sour...
third_party/WebKit/Source/core/page/ScopedPageLoadDeferrer.cpp:44:
pages.append(page);
copyToVector(pages, Page::ordinaryPages())

Powered by Google App Engine
This is Rietveld 408576698